Bug 478378 - RFE make all (error) dialogs resizeable and better default size
RFE make all (error) dialogs resizeable and better default size
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
9
athlon Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-29 01:45 EST by David Timms
Modified: 2009-01-14 08:43 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-14 08:43:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Timms 2008-12-29 01:45:07 EST
Description of problem:
When an unexpected error occurred, a dialog was displayed. This dialog is OK to read the generic error message, but once the show details is clicked, the info shown is essentially unusable.

Version-Release number of selected component (if applicable):
gnome-packagekit-0.3.12-3.fc9.i386

How reproducible:
eg as in bug 478377

Steps to Reproduce:
1. make an error dialog occur
2. expand the more details triangle
  
Actual results:
The dialog gains a small amount of height.

Expected results:
1. Dialog should use up the rest of the screen height once expanded.
2. Dialog width after expanding should be:
  - wide enough to fit the longest error string in the text area, unless
  - it's greater than 80 chars (make it 80 chars in the font used), or
  - it would be too wide for the screen (for small displays - use the screen width).
3. The dialog should be resizeable.

Additional info: see https://bugzilla.redhat.com/attachment.cgi?id=327908
Notice that the More details text box could actually fill all the way to the left of the dialog (once opened). This could make better use of screen space on smaller displays.
Comment 1 Richard Hughes 2009-01-08 08:01:22 EST
commit 9bc676f8692b4a2a8ab8837edd9ce9a90308e513
Author: Richard Hughes <richard@hughsie.com>
Date:   Thu Jan 8 13:00:24 2009 +0000

    bugfix: make error dialog resizable when error details are being shown. Fixes RH#478378

Note You need to log in before you can comment on or make changes to this bug.